Filewatcher File Search File Search
Content Search
» » » » slurm-llnl_2.3.2.orig.tar.bz2 » Content »
pkg://slurm-llnl_2.3.2.orig.tar.bz2:5077133/slurm-2.3.2/contribs/phpext/slurm_php/  info  downloads


Slurm PHP extension

Requirements (tested with)

* SLURM 2.2.0
* PHP 5.1.6
* APACHE (optional, but recommended)

This was made primarily for SLURMWEB to connect to slurm. Any extra
interactions are welcome.

to compile...


this should make modules/

make install as root
should install this where your extensions are in your php install

in your php.ini file add the line

and you should be able to use the functions here.


It is assumed that the user has both slurmctld and slurmd is
configured up with at least 1 partition and 1 node for these tests to

Developer Notes

To clean up the directory to a clean state do the following

phpize --clean

The coding style that should be adopted is
Results 1 - 1 of 1
Help - FTP Sites List - Software Dir.
Search over 15 billion files
© 1997-2017